Bug 43635 - [Qt] Flash content can not be displayed by Symbian Flash Player
Summary: [Qt] Flash content can not be displayed by Symbian Flash Player
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Plug-ins (show other bugs)
Version: 528+ (Nightly build)
Hardware: S60 Emulator Other
: P3 Critical
Assignee: Hui Huang
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-08-06 12:30 PDT by Hui Huang
Modified: 2010-08-24 07:32 PDT (History)
8 users (show)

See Also:


Attachments
Simplified test content for test case reduction (23.10 KB, application/zip)
2010-08-06 12:30 PDT, Hui Huang
no flags Details
Proposed patch (1.23 KB, patch)
2010-08-06 15:30 PDT, Hui Huang
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Hui Huang 2010-08-06 12:30:23 PDT
Created attachment 63751 [details]
Simplified test content for test case reduction

Flash content is not displayed by Symiban Flash Player on Nokia S60 Simulator. I'm using Webkit with Qt. Simplified test content is attached as test_case.zip.
Comment 1 Hui Huang 2010-08-06 15:30:06 PDT
Created attachment 63770 [details]
Proposed patch

When plug-in is being created, m_windowRect is not updated in updatePluginWidget because the parent of PluginView is not set:
void PluginView::updatePluginWidget()
{
    if (!parent())
        return;
...

Plug-in gets wrong window size (both height and width are 0) on setwindow. Flash content is not displayed. Calling updatePluginWidget() after plug-in is successfully loaded in PluginView::setParent fixed the problem. The proposed patch was tested successfully on S60 emulator.
Comment 2 Hui Huang 2010-08-09 13:10:35 PDT
Per Yael's suggestion, I'm checking recent changesets to see if this has already been fixed.
Comment 3 Hui Huang 2010-08-09 15:29:25 PDT
Tried changesets 61505, 62159, 62184, and 62185 with no luck.
Comment 4 Hui Huang 2010-08-10 08:25:06 PDT
I will try Webkit trunk. If this has been fixed in trunk, need to find out by which patch.
Comment 5 Eric Seidel 2010-08-12 07:21:45 PDT
Comment on attachment 63770 [details]
Proposed patch

rs=me.
Comment 6 Hui Huang 2010-08-12 08:07:12 PDT
Eric, thanks a lot for reviewing the patch.
Comment 7 WebKit Commit Bot 2010-08-12 08:58:54 PDT
Comment on attachment 63770 [details]
Proposed patch

Clearing flags on attachment: 63770

Committed r65249: <http://trac.webkit.org/changeset/65249>
Comment 8 WebKit Commit Bot 2010-08-12 08:59:00 PDT
All reviewed patches have been landed.  Closing bug.
Comment 9 Simon Hausmann 2010-08-13 08:11:27 PDT
Revision r65249 cherry-picked into qtwebkit-2.1 with commit 4c848c81bcb0879a1ab74e3b7c37339a80beb201